#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'noneproc.title_pengumuman_tender'} - Model A
#{/set}

<ol class="breadcrumb">
	<li><a href="@{NonEprocCtr.index()}"> &{'noneproc.title_pengumuman_tender'}</a></li>
	<li class="active">Model A</li>
</ol>
<div class="content">
    #{alert /}
    #{form @NonEprocCtr.simpan(), method:'POST'}
    <input type="hidden" name="pgn_lelang.pll_id" value="${pgn_lelang?.pll_id}" />
    <input type="hidden" name="pll_paket.plp_paket" value="${pll_paket?.plp_paket}" />
    <input type="hidden" name="tahap_ambil.tpl_id" value="${tahap_ambil?.tpl_id}" />
    <input type="hidden" name="tahap_penjelasan.tpl_id" value="${tahap_penjelasan?.tpl_id}" />
    <div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.metode_pemilihan'}</label>
		<div class="col-lg-9" style="width: 300px;">#{selectMetodeNonEproc 'pgn_lelang.sub_tag.stg_id', value:pgn_lelang?.sub_tag?.stg_id /}</div>
	</div>
    <div class="form-group row">
        <label class="col-sm-3 control-label">&{'tag.klpd'}<span class="warning"> *</span></label>
        <div class="col-sm-9">#{selectInstansi 'instansiId' , value:instansiId /}</div>
    </div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.satuan_kerja'}</label>
		<div class="col-lg-9" >#{selectSatkerPusat 'pgn_lelang.satuan_kerja.stk_id', value:pgn_lelang?.satuan_kerja?.stk_id, instansiId:instansiId, tahun:pgn_lelang?.pll_tahun /}</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.tahun_anggaran'}</label>
		<div class="col-lg-9" style="width: 100px;">
		 	#{selectTahun 'pgn_lelang.pll_tahun', value:pgn_lelang?.pll_tahun /}
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.no_pengumuman'} <span class="warning">*</span></label>
		<div class="col-lg-9">
			<input type="text"size="40" maxlength=200 name="pgn_lelang.pll_no_peng" value="${pgn_lelang?.pll_no_peng}" class="form-control"/>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.nama_paket'} <span class="warning">*</span></label>
		<div class="col-lg-9">
			<input type="text"size="63" maxlength=200 name="pll_paket.plp_nama_paket" value="${pll_paket?.plp_nama_paket}" class="form-control"/>			
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.pagu_anggaran'} <span class="warning">**</span></label>
		<div class="col-lg-9">
			<input type="text" size="40" maxlength=200 name="pll_paket.plp_pagu" value="${pll_paket?.plp_pagu?.rupiah()}" class="form-control" id=""/>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 col-form-label">HPS <span class="warning">**</span></label>
		<div class="col-lg-9">
			<input type="text"size="40" maxlength=200 name="pll_paket.plp_hps" value="${pll_paket?.plp_hps?.rupiah()}" class="form-control"/>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.syarat_pengambil_dokumen'} <span class="warning">*</span></label>
		<div class="col-lg-9">
			<textarea name="pgn_lelang.pll_syarat_umum" rows="6" class="form-control">${pgn_lelang?.pll_syarat_umum}</textarea>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.waktu_pengambilan_doc'} <span class="warning">*</span></label>
		<div class="col-lg-9">
			 <div class="input-group" style="width: 400px;">
                <input type="text" name="tahapAmbil.pll_tgl_awal" value="${tahapAmbil?.pll_tgl_awal?.toDatetimepicker()}"  class="form-control datepicker"/>
				 <div class="input-group-prepend input-group-append"><span class="input-group-text">s.d.</span></div>
                <input type="text" name="tahapAmbil.pll_tgl_akhir" value="${tahapAmbil?.pll_tgl_akhir?.toDatetimepicker()}" class="form-control datepicker"/>
             </div>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.tempat_pengambilan_doc'} <span class="warning">*</span></label>
		<div class="col-lg-9">
			<textarea name="tahapAmbil.tempat" cols="70" rows="4" class="form-control">${tahapAmbil?.tempat}</textarea>
		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-3 control-label">&{'noneproc.ket_lain'}</label>
		<div class="col-lg-9">
			<textarea name="pgn_lelang.pll_ket" cols="70" rows="6" class="form-control">${pgn_lelang?.pll_ket}</textarea>
		</div>
	</div>
     <div class="form-group row">
	    <div class="col-lg-offset-3 col-lg-9">
			#{set aa}&{'noneproc.simpan_umumkan'}#{/set}
			#{set 'b'}&{'noneproc.simpan_drft'}#{/set}
	      #{saveButton name:'simpanUmumkan', title:a/}
       	  #{saveButton name:'simpanDraft', title:b/}
          #{if pengumuman_lelang?.pgn_id != null}
		  #{set 'a'}&{'noneproc.preview'}#{/set}
       	  #{addButton action:@NonEprocCtr.View(pengumuman_lelang?.pgn_id), title:a /}
       	  #{deleteButton /}
          #{/if}
          #{backButton action:@NonEprocCtr.index() /}   
	    </div>
	  </div>         
#{/form}

    <div class="bs-callout bs-callout-warning">
        <span class="warning">*</span> &{'noneproc.data_harusisi'}<br/>
        <span class="warning">**</span> &{'noneproc.isi_contoh'}
    </div>  
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.7/chosen.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.7/chosen.jquery.min.js"></script>
<script type="text/javascript">  
$('#instansi').chosen().change(function(){
    var id = $(this).find(':selected').val()
   // console.log(id)
    var satkerUrl = #{jsRoute @JSONCtr.daftar_satker(':id', ':tahun') /};
    var thn = $("select[name=pgn_lelang.pll_tahun]").val();
    $.ajax({url : satkerUrl.url({id:id, tahun:thn}), cache:false}).done(function(data){
    var html='<option> </option>'
    $(data).each(function(index, item){
    html += '<option value="'+item.id+'">'+item.label+'</option>'
    })
    $('#satker').html(html)
    $("#satker").trigger("chosen:updated");
    })
})
</script>
#{/set}
